
/*
This file is part of "Uakron Robot Project".

"Uakron Robot Project" is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

"Uakron Robot Project" is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Foobar; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

#include <avr/io.h>
#include "BasicStamp2Library.h"
//#include "FigureEight.h"
//#include "IR_Sensor.h"
//#include "LcdLibrary.h"
//#include "menu.h"
//#include "MiscMethods.h"
//#include "NES_Remote.h"
//#include "Rfid_Library.h"
//#include "search.h"

//constants
#define MAXLEN 19
#define MAXENTRY 3

//global variables
//char message[MAXENTRY][MAXLEN] = {
//	"Welcome to CS Day!",
//	"Have fun but don't",
//	"break the robot!  "};

int main()
{
    /*
    DDRA = 0;
    DDRB = 0;
    DDRC = 0;
    DDRD = 0;

	//local variables
	byte choice;	//choice returned from menu
	//byte returnIR;	//IR test return
    byte tagArray[10];
    */
    //initialize everything
    initBasicStamp();
    //initIR();
	//initLcd();		
    //initRfidReader();
    //initNes();

    setStraight();
    
    beep(15,15);
    /*
    while(1);

    byte irRead;
    while(1)
    {
        irRead = getIR();

        if(irRead == 0)
        {
           beep(1,10);
        }
        else
        {
           beep(4,10);
        }

        sleep(1000);

        byte index;
        byte count;
        byte subcount;
        for(index = 1, count = 1; index != 0; index <<= 1, count++)
        {
           if( (irRead & index) == 1)
           {
              for(subcount = count; subcount != 0; subcount--)
              {
                 beep(6,5);
                 sleep(500);
              }

              beep(8,10);
           } 
        }

        sleep(3000);

    }


	clearLcd();	

	//display a bootup greeting
	formatAndSendToLcd(1,message[1],MAXLEN);
	formatAndSendToLcd(2,message[2],MAXLEN);
	formatAndSendToLcd(3,message[3],MAXLEN);
	sleep(5000); //sleep is in ms, not seconds
	clearLcd();

	while(1)
	{
		//start the menu for the user to choose from
		choice = menu();

		//sleep in between to allow for time to get back to the menu
		switch(choice)
		{
			case 1:		//RFID search
				choosePaddles(tagArray);
                search(tagArray);
				sleep(5);
				break;
			case 2:		//Firmware test
				firmwareTest();
				sleep(5);
				break;
			case 3:		//Calibration test
				calibrationTest();
				sleep(5);
				break;
			case 4:		//NES remote test  (not built yet)
				
				sleep(5);
				break;
			case 5:		//IR Sensor test
				
				
				sleep(5);
				break;
			case 6:		//RFID scan test
				
				sleep(5);
				break;
			case 7:		//Triple eight 
				tripleEight();
				sleep(5);
				break;
			case 8:		//Mario theme
				marioTheme();
				sleep(5);
				break;
			case 9:		//Charge theme
				chargeTheme();
				sleep(5);
				break;
			case 10:	//Easter egg  (thinking of making it do a dance...)
				
				sleep(5);
				break;
			case 11:	//Reboot
				reboot();
				sleep(5);
				break;
		}		
	}
    */
	return 0;
}

